using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerBlackHoleForce : BlackHoleForce
{
    private PlayerColliderManager _playerColliderManager;

    protected override void DoAwakeTasks()
    {
        _playerColliderManager = gameObject.GetComponent<PlayerColliderManager>();
        base.DoAwakeTasks();
    }

    public override void ApplyBlackHoleForce(float appliedForce)
    {
        if (!blackHolePullImmunue)
        {
            _objectRigidBody.AddForce(-_objectRigidBody.transform.up * appliedForce);
            base.ApplyBlackHoleForce(appliedForce);
        }
    }

    public override void HitBlackHole()
    {
        _playerColliderManager.PlayerHit(true);
        base.HitBlackHole();
    }
}
